{
  "name": "informationextractor",
  "display_name": "Information Extractor",
  "description": "Extract information from text in a structured format",
  "group": [
    "transform"
  ],
  "versions": [
    1.0
  ],
  "inputs": 1,
  "outputs": 1,
  "credentials": [],
  "properties": [
    {
      "name": "text",
      "display_name": "Text",
      "kind": "string",
      "required": false,
      "default": "",
      "description": "The text to extract information from"
    },
    {
      "name": "From Attribute Descriptions",
      "display_name": "From Attribute Descriptions",
      "kind": "string",
      "required": false,
      "default": "fromAttributes",
      "description": "How to specify the schema for the desired output"
    },
    {
      "name": "attributes",
      "display_name": "Attributes",
      "kind": "fixedCollection",
      "required": true,
      "default": "",
      "description": "Attribute to extract"
    },
    {
      "name": "options",
      "display_name": "Options",
      "kind": "collection",
      "required": false,
      "description": "String to use directly as the system prompt template"
    }
  ],
  "source_path": "/home/mcochran/n8n/packages/@n8n/nodes-langchain/nodes/chains/InformationExtractor/InformationExtractor.node.ts"
}